Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp	(revision 95)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp	(revision 97)
@@ -140,5 +140,5 @@
       ALLOC_SIGNAL_IN   ( in_COMMIT_EVENT_ADDRESS_EPCR        ,"ADDRESS_EPCR"     ,Taddress_t           ,_param->_size_instruction_address   );
       ALLOC_SIGNAL_IN   ( in_COMMIT_EVENT_ADDRESS_EEAR_VAL    ,"ADDRESS_EEAR_VAL" ,Tcontrol_t           ,1                       );
-      ALLOC_SIGNAL_IN   ( in_COMMIT_EVENT_ADDRESS_EEAR        ,"ADDRESS_EEAR"     ,Taddress_t           ,_param->_size_instruction_address   );
+      ALLOC_SIGNAL_IN   ( in_COMMIT_EVENT_ADDRESS_EEAR        ,"ADDRESS_EEAR"     ,Tgeneral_data_t      ,_param->_size_general_data          );
     }
 
@@ -580,4 +580,23 @@
           COMPONENT_MAP(_component,src ,"out_BRANCH_EVENT_"+toString(i)+"_ADDRESS_DEST"    ,
                                    dest, "in_BRANCH_EVENT_"+toString(i)+"_ADDRESS_DEST"    );
+        }
+
+      // ~~~~~[ Interface : "event" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+      for (uint32_t i=0; i<_param->_nb_context; ++i)
+        {
+          dest = _name+"_glue";
+#ifdef POSITION
+          _component->interface_map (src ,"event_"+toString(i),
+                                     dest,"event_"+toString(i));
+#endif
+          COMPONENT_MAP(_component,src , "in_EVENT_"+toString(i)+                "_VAL"  ,
+                                   dest,"out_EVENT_"+toString(i)+"_PREDICTION_UNIT_VAL"  );
+          COMPONENT_MAP(_component,src ,"out_EVENT_"+toString(i)+                "_ACK"  ,
+                                   dest, "in_EVENT_"+toString(i)+"_PREDICTION_UNIT_ACK"  );
+          COMPONENT_MAP(_component,src , "in_EVENT_"+toString(i)+                "_TYPE" ,
+                                   dest,"out_EVENT_"+toString(i)+"_PREDICTION_UNIT_TYPE" );
+          if (_param->_have_port_depth)
+          COMPONENT_MAP(_component,src , "in_EVENT_"+toString(i)+                "_DEPTH",
+                                   dest,"out_EVENT_"+toString(i)+"_PREDICTION_UNIT_DEPTH");
         }
 
@@ -967,4 +986,9 @@
           COMPONENT_MAP(_component,src ,"out_EVENT_"+toString(i)+              "_IS_DS_TAKE"      ,
                                    dest, "in_EVENT_"+toString(i)+"_CONTEXT_STATE_IS_DS_TAKE"      );
+          COMPONENT_MAP(_component,src ,"out_EVENT_"+toString(i)+              "_TYPE"            ,
+                                   dest, "in_EVENT_"+toString(i)+"_CONTEXT_STATE_TYPE"            );
+          if (_param->_have_port_depth)
+          COMPONENT_MAP(_component,src ,"out_EVENT_"+toString(i)+              "_DEPTH"           ,
+                                   dest, "in_EVENT_"+toString(i)+"_CONTEXT_STATE_DEPTH"           );
         }
 
@@ -1129,13 +1153,19 @@
       //   in_EVENT_IFETCH_UNIT_ACK                             - component_ifetch_unit
       //  out_EVENT_IFETCH_UNIT_ADDRESS                         - component_ifetch_unit
-      //   in_EVENT_IFETCH_UNIT_ADDRESS_NEXT                    - component_ifetch_unit
+      //  out_EVENT_IFETCH_UNIT_ADDRESS_NEXT                    - component_ifetch_unit
       //  out_EVENT_IFETCH_UNIT_ADDRESS_NEXT_VAL                - component_ifetch_unit
       //   in_EVENT_IFETCH_UNIT_IS_DS_TAKE                      - component_ifetch_unit
+      //  out_EVENT_PREDICTION_UNIT_VAL                         - component_prediction_unit
+      //   in_EVENT_PREDICTION_UNIT_ACK                         - component_prediction_unit
+      //  out_EVENT_PREDICTION_UNIT_TYPE                        - component_prediction_unit
+      //  out_EVENT_PREDICTION_UNIT_DEPTH                       - component_prediction_unit
       //   in_EVENT_CONTEXT_STATE_VAL                           - component_context_state
       //  out_EVENT_CONTEXT_STATE_ACK                           - component_context_state
       //   in_EVENT_CONTEXT_STATE_ADDRESS                       - component_context_state
       //   in_EVENT_CONTEXT_STATE_ADDRESS_NEXT                  - component_context_state
-      //  out_EVENT_CONTEXT_STATE_ADDRESS_NEXT_VAL              - component_context_state
+      //   in_EVENT_CONTEXT_STATE_ADDRESS_NEXT_VAL              - component_context_state
       //   in_EVENT_CONTEXT_STATE_IS_DS_TAKE                    - component_context_state
+      //   in_EVENT_CONTEXT_STATE_TYPE                          - component_context_state
+      //   in_EVENT_CONTEXT_STATE_DEPTH                         - component_context_state
 
       // ~~~~~[ Interface : "depth" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	      
